summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDevan Carpenter <devan@taler.net>2024-04-11 16:01:06 -0400
committerDevan Carpenter <devan@taler.net>2024-04-11 16:01:06 -0400
commitc625f6799ea57abb9f1b85b65251e48ad077e5a2 (patch)
tree45bc2c5914cbb3c8c7f65ff4c6c4cb92703c62b4
parentd4fd038d116381d76d1fdf8384101f8fa901ffe5 (diff)
downloadmerchant-c625f6799ea57abb9f1b85b65251e48ad077e5a2.tar.gz
merchant-c625f6799ea57abb9f1b85b65251e48ad077e5a2.tar.bz2
merchant-c625f6799ea57abb9f1b85b65251e48ad077e5a2.zip
ci: exclude dev tags from .deb version strings
this avoids a whole mess of problems with version string parsing and selection with dpkg and gbh
-rwxr-xr-xcontrib/ci/jobs/4-deb-package/version.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/contrib/ci/jobs/4-deb-package/version.sh b/contrib/ci/jobs/4-deb-package/version.sh
index a6e740af..52031b23 100755
--- a/contrib/ci/jobs/4-deb-package/version.sh
+++ b/contrib/ci/jobs/4-deb-package/version.sh
@@ -7,7 +7,7 @@ if [ -z "${BRANCH}" ]; then
else
# "Unshallow" our checkout, but only our current branch, and exclude the submodules.
git fetch --no-recurse-submodules --tags --depth=1000 origin "${BRANCH}"
- RECENT_VERSION_TAG=$(git describe --tags --match 'v*.*.*' --always --abbrev=0 HEAD || exit 1)
+ RECENT_VERSION_TAG=$(git describe --tags --match 'v*.*.*' --exclude '*-dev*' --always --abbrev=0 HEAD || exit 1)
commits="$(git rev-list ${RECENT_VERSION_TAG}..HEAD --count)"
if [ "${commits}" = "0" ]; then
git describe --tag HEAD | sed -r 's/^v//' || exit 1